package com.huimv.mobile.service.impl;

import com.huimv.mobile.domain.MobileApi;
import com.huimv.mobile.domain.MobileUser;
import com.huimv.mobile.repo.MobileApiRepository;
import com.huimv.mobile.repo.MobileUserRepository;
import com.huimv.mobile.result.Result;
import com.huimv.mobile.service.MobileUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.mobile.service.impl
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2021/4/19 0019 14:23
 **/
@Service
public class MobileUserServiceImpl implements MobileUserService {

    @Autowired
    private MobileUserRepository userRepository;

    @Autowired
    private MobileApiRepository mobileApiRepository;

    @Override
    public Result register(String account, String password) {

        MobileUser mobileUser = userRepository.findByAccountAndPassword(account, password);

        if (mobileUser == null){
            return new Result(10001,"用户名或密码错误");
        }



        Map endMap  = new HashMap();
        Integer grant = mobileUser.getGrantClass();
        if (grant != 3){
            List<MobileApi> all = mobileApiRepository.findAll();
            endMap.put("url",all);
            endMap.put("userName",mobileUser.getUserName());
            endMap.put("userId",mobileUser.getId());
            endMap.put("unit",mobileUser.getUnit());
            endMap.put("grant",grant);
        }
        if (grant == 1 || grant == 2 ){

            MobileApi api = mobileApiRepository.findByFarmId(mobileUser.getUnitId());
            endMap.put("url",api.getUrl());
            endMap.put("userName",mobileUser.getUserName());
            endMap.put("userId",mobileUser.getId());
            endMap.put("unit",mobileUser.getUnit());
            endMap.put("grant",grant);

        }else {
            return new Result(10002,"未找到权限信息");
        }

        return new Result(10000,"登录成功",endMap);
    }
}
